Main Page Packages Class Hierarchy Compound List File List Compound Members

# DOMTest Class Reference

Inherited by DOMTestCase, and DOMTestSuite.

List of all members.

## Public Methods
| DOMTest (DOMTestDocumentBuilderFactory factory)
| DOMTest ()
boolean | hasFeature (String feature, String version)
boolean | hasSetting (DocumentBuilderSetting setting)
Document | load (String docURI) throws DOMTestLoadException
abstract String | getTargetURI ()
final boolean | isCoalescing ()
final boolean | isExpandEntityReferences ()
final boolean | isIgnoringElementContentWhitespace ()
final boolean | isNamespaceAware ()
final boolean | isValidating ()
final boolean | isSigned ()
final boolean | isHasNullString ()
## Protected Methods
void | setFactory (DOMTestDocumentBuilderFactory factory)
DOMTestDocumentBuilderFactory | getFactory ()

## Detailed Description

This is an abstract base class for generated DOM tests

Definition at line 33 of file DOMTest.java.

## Constructor & Destructor Documentation

DOMTest::DOMTest | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

  | This is the appropriate constructor for tests that make no requirements on the parser configuration. Parameters:
  factory | must not be null
Definition at line 41 of file DOMTest.java.
    00041                                                         {
    00042     if(factory == null) {
    00043       throw new NullPointerException("factory");
    00044     }
    00045     this.factory = factory;
    00046   }

DOMTest::DOMTest | ( |  | ) | `[inline]`

| This constructor is used by tests that must create a modified document factory to meet requirements on the parser configuration. setFactory should be called within the test's constructor. Definition at line 54 of file DOMTest.java.
    00054                    {
    00055     factory = null;
    00056   }

## Member Function Documentation

DOMTestDocumentBuilderFactory DOMTest::getFactory | ( |  | ) | `[inline, protected]`

| Definition at line 74 of file DOMTest.java.
    00074                                                        {
    00075     return factory;
    00076   }

abstract String DOMTest::getTargetURI | ( |  | ) | `[pure virtual]`

| Reimplemented in alltests, attrcreatedocumentfragment, attrcreatetextnode, attrcreatetextnode2, attrdefaultvalue, attreffectivevalue, attrentityreplacement, attrname, attrnextsiblingnull, attrnotspecifiedvalue, attrparentnodenull, attrprevioussiblingnull, attrsetvaluenomodificationallowederr, attrsetvaluenomodificationallowederrEE, attrspecifiedvalue, attrspecifiedvaluechanged, attrspecifiedvalueremove, cdatasectiongetdata, cdatasectionnormalize, characterdataappenddata, characterdataappenddatagetdata, characterdataappenddatanomodificationallowederr, characterdataappenddatanomodificationallowederrEE, characterdatadeletedatabegining, characterdatadeletedataend, characterdatadeletedataexceedslength, characterdatadeletedatagetlengthanddata, characterdatadeletedatamiddle, characterdatadeletedatanomodificationallowederr, characterdatadeletedatanomodificationallowederrEE, characterdatagetdata, characterdatagetlength, characterdataindexsizeerrdeletedatacountnegative, characterdataindexsizeerrdeletedataoffsetgreater, characterdataindexsizeerrdeletedataoffsetnegative, characterdataindexsizeerrinsertdataoffsetgreater, characterdataindexsizeerrinsertdataoffsetnegative, characterdataindexsizeerrreplacedatacountnegative, characterdataindexsizeerrreplacedataoffsetgreater, characterdataindexsizeerrreplacedataoffsetnegative, characterdataindexsizeerrsubstringcountnegative, characterdataindexsizeerrsubstringnegativeoffset, characterdataindexsizeerrsubstringoffsetgreater, characterdatainsertdatabeginning, characterdatainsertdataend, characterdatainsertdatamiddle, characterdatainsertdatanomodificationallowederr, characterdatainsertdatanomodificationallowederrEE, characterdatareplacedatabegining, characterdatareplacedataend, characterdatareplacedataexceedslengthofarg, characterdatareplacedataexceedslengthofdata, characterdatareplacedatamiddle, characterdatareplacedatanomodificationallowederr, characterdatareplacedatanomodificationallowederrEE, characterdatasetdatanomodificationallowederr, characterdatasetdatanomodificationallowederrEE, characterdatasetnodevalue, characterdatasubstringexceedsvalue, characterdatasubstringvalue, commentgetcomment, documentcreateattribute, documentcreatecdatasection, documentcreatecomment, documentcreatedocumentfragment, documentcreateelement, documentcreateelementcasesensitive, documentcreateelementdefaultattr, documentcreateentityreference, documentcreateentityreferenceknown, documentcreateprocessinginstruction, documentcreatetextnode, documentgetdoctype, documentgetdoctypenodtd, documentgetelementsbytagnamelength, documentgetelementsbytagnametotallength, documentgetelementsbytagnamevalue, documentgetimplementation, documentgetrootnode, documentinvalidcharacterexceptioncreateattribute, documentinvalidcharacterexceptioncreateelement, documentinvalidcharacterexceptioncreateentref, documentinvalidcharacterexceptioncreatepi, documenttypegetdoctype, documenttypegetentities, documenttypegetentitieslength, documenttypegetentitiestype, documenttypegetnotations, documenttypegetnotationstype, domimplementationfeaturenoversion, domimplementationfeaturenull, domimplementationfeaturexml, elementaddnewattribute, elementassociatedattribute, elementchangeattributevalue, elementcreatenewattribute, elementgetattributenode, elementgetattributenodenull, elementgetelementempty, elementgetelementsbytagname, elementgetelementsbytagnameaccessnodelist, elementgetelementsbytagnamenomatch, elementgetelementsbytagnamespecialvalue, elementgettagname, elementinuseattributeerr, elementinvalidcharacterexception, elementnormalize, elementnotfounderr, elementremoveattribute, elementremoveattributeaftercreate, elementremoveattributenode, elementremoveattributenodenomodificationallowederr, elementremoveattributenodenomodificationallowederrEE, elementremoveattributenomodificationallowederr, elementremoveattributenomodificationallowederrEE, elementremoveattributerestoredefaultvalue, elementreplaceattributewithself, elementreplaceexistingattribute, elementreplaceexistingattributegevalue, elementretrieveallattributes, elementretrieveattrvalue, elementretrievetagname, elementsetattributenodenomodificationallowederr, elementsetattributenodenomodificationallowederrEE, elementsetattributenodenull, elementsetattributenomodificationallowederr, elementsetattributenomodificationallowederrEE, elementwrongdocumenterr, entitygetentityname, entitygetpublicid, entitygetpublicidnull, namednodemapchildnoderange, namednodemapgetnameditem, namednodemapinuseattributeerr, namednodemapnotfounderr, namednodemapnumberofnodes, namednodemapremovenameditem, namednodemapremovenameditemgetvalue, namednodemapremovenameditemreturnnodevalue, namednodemapreturnattrnode, namednodemapreturnfirstitem, namednodemapreturnlastitem, namednodemapreturnnull, namednodemapsetnameditem, namednodemapsetnameditemreturnvalue, namednodemapsetnameditemthatexists, namednodemapsetnameditemwithnewvalue, namednodemapwrongdocumenterr, nodeappendchild, nodeappendchildchildexists, nodeappendchilddocfragment, nodeappendchildgetnodename, nodeappendchildinvalidnodetype, nodeappendchildnewchilddiffdocument, nodeappendchildnodeancestor, nodeappendchildnomodificationallowederr, nodeappendchildnomodificationallowederrEE, nodeattributenodeattribute, nodeattributenodename, nodeattributenodetype, nodeattributenodevalue, nodecdatasectionnodeattribute, nodecdatasectionnodename, nodecdatasectionnodetype, nodecdatasectionnodevalue, nodechildnodes, nodechildnodesappendchild, nodechildnodesempty, nodecloneattributescopied, nodeclonefalsenocopytext, nodeclonegetparentnull, nodeclonenodefalse, nodeclonenodetrue, nodeclonetruecopytext, nodecommentnodeattributes, nodecommentnodename, nodecommentnodetype, nodecommentnodevalue, nodedocumentfragmentnodename, nodedocumentfragmentnodetype, nodedocumentfragmentnodevalue, nodedocumentnodeattribute, nodedocumentnodename, nodedocumentnodetype, nodedocumentnodevalue, nodedocumenttypenodename, nodedocumenttypenodetype, nodedocumenttypenodevalue, nodeelementnodeattributes, nodeelementnodename, nodeelementnodetype, nodeelementnodevalue, nodeentitynodeattributes, nodeentitynodename, nodeentitynodetype, nodeentitynodevalue, nodeentityreferencenodeattributes, nodeentityreferencenodename, nodeentityreferencenodetype, nodeentityreferencenodevalue, nodeentitysetnodevalue, nodegetfirstchild, nodegetfirstchildnull, nodegetlastchild, nodegetlastchildnull, nodegetnextsibling, nodegetnextsiblingnull, nodegetownerdocument, nodegetownerdocumentnull, nodegetprevioussibling, nodegetprevioussiblingnull, nodehaschildnodes, nodehaschildnodesfalse, nodeinsertbefore, nodeinsertbeforedocfragment, nodeinsertbeforeinvalidnodetype, nodeinsertbeforenewchilddiffdocument, nodeinsertbeforenewchildexists, nodeinsertbeforenodeancestor, nodeinsertbeforenodename, nodeinsertbeforenomodificationallowederr, nodeinsertbeforenomodificationallowederrEE, nodeinsertbeforerefchildnonexistent, nodeinsertbeforerefchildnull, nodelistindexequalzero, nodelistindexgetlength, nodelistindexgetlengthofemptylist, nodelistindexnotzero, nodelistreturnfirstitem, nodelistreturnlastitem, nodelisttraverselist, nodenotationnodeattributes, nodenotationnodename, nodenotationnodetype, nodenotationnodevalue, nodeparentnode, nodeparentnodenull, nodeprocessinginstructionnodeattributes, nodeprocessinginstructionnodename, nodeprocessinginstructionnodetype, nodeprocessinginstructionnodevalue, nodeprocessinginstructionsetnodevalue, noderemovechild, noderemovechildgetnodename, noderemovechildnode, noderemovechildnomodificationallowederr, noderemovechildnomodificationallowederrEE, noderemovechildoldchildnonexistent, nodereplacechild, nodereplacechildinvalidnodetype, nodereplacechildnewchilddiffdocument, nodereplacechildnewchildexists, nodereplacechildnodeancestor, nodereplacechildnodename, nodereplacechildnomodificationallowederr, nodereplacechildnomodificationallowederrEE, nodereplacechildoldchildnonexistent, nodesetnodevaluenomodificationallowederr, nodesetnodevaluenomodificationallowederrEE, nodetextnodeattribute, nodetextnodename, nodetextnodetype, nodetextnodevalue, nodevalue01, nodevalue02, nodevalue03, nodevalue04, nodevalue05, nodevalue06, nodevalue07, nodevalue08, nodevalue09, notationgetnotationname, notationgetpublicid, notationgetpublicidnull, notationgetsystemid, notationgetsystemidnull, processinginstructiongetdata, processinginstructiongettarget, processinginstructionsetdatanomodificationallowederr, processinginstructionsetdatanomodificationallowederrEE, readonly, textindexsizeerrnegativeoffset, textindexsizeerroffsetoutofbounds, textparseintolistofelements, textsplittextfour, textsplittextnomodificationallowederr, textsplittextnomodificationallowederrEE, textsplittextone, textsplittextthree, textsplittexttwo, textwithnomarkup, and xml_alltests.

boolean DOMTest::hasFeature | ( | String | feature,
|  | String | version
| ) | `[inline]`

| Definition at line 65 of file DOMTest.java. References DOMTestDocumentBuilderFactory::hasFeature().
    00065                                                             {
    00066      return factory.hasFeature(feature,version);
    00067   }

boolean DOMTest::hasSetting | ( | DocumentBuilderSetting | setting | ) | `[inline]`

| Definition at line 69 of file DOMTest.java. References DocumentBuilderSetting::hasSetting().
    00069                                                              {
    00070      return setting.hasSetting(factory);
    00071   }

final boolean DOMTest::isCoalescing | ( |  | ) | `[inline]`

| Definition at line 119 of file DOMTest.java. References DOMTestDocumentBuilderFactory::isCoalescing().
    00119                                       {
    00120       return factory.isCoalescing();
    00121   }

final boolean DOMTest::isExpandEntityReferences | ( |  | ) | `[inline]`

| Definition at line 123 of file DOMTest.java. References DOMTestDocumentBuilderFactory::isExpandEntityReferences(). Referenced by textparseintolistofelements::runTest(), nodeentityreferencenodevalue::runTest(), nodeentityreferencenodetype::runTest(), nodeentityreferencenodename::runTest(), and nodeentityreferencenodeattributes::runTest().
    00123                                                   {
    00124       return factory.isExpandEntityReferences();
    00125   }

final boolean DOMTest::isHasNullString | ( |  | ) | `[inline]`

| Definition at line 143 of file DOMTest.java.
    00143                                          {
    00144     return true;
    00145   }

final boolean DOMTest::isIgnoringElementContentWhitespace | ( |  | ) | `[inline]`

| Definition at line 127 of file DOMTest.java. References DOMTestDocumentBuilderFactory::isIgnoringElementContentWhitespace(). Referenced by nodereplacechildnodename::runTest(), nodereplacechildnewchildexists::runTest(), noderemovechildnode::runTest(), noderemovechildgetnodename::runTest(), nodelisttraverselist::runTest(), nodelistreturnlastitem::runTest(), nodelistreturnfirstitem::runTest(), nodelistindexnotzero::runTest(), nodelistindexgetlength::runTest(), nodelistindexequalzero::runTest(), nodeinsertbeforenewchildexists::runTest(), nodeinsertbefore::runTest(), nodegetprevioussibling::runTest(), nodegetnextsibling::runTest(), nodegetlastchild::runTest(), nodegetfirstchild::runTest(), nodeclonetruecopytext::runTest(), nodeclonenodetrue::runTest(), nodechildnodesappendchild::runTest(), nodechildnodes::runTest(), nodeappendchilddocfragment::runTest(), nodeappendchildchildexists::runTest(), and elementgetelementsbytagnameaccessnodelist::runTest().
    00127                                                             {
    00128       return factory.isIgnoringElementContentWhitespace();
    00129   }

final boolean DOMTest::isNamespaceAware | ( |  | ) | `[inline]`

| Definition at line 131 of file DOMTest.java. References DOMTestDocumentBuilderFactory::isNamespaceAware().
    00131                                           {
    00132       return factory.isNamespaceAware();
    00133   }

final boolean DOMTest::isSigned | ( |  | ) | `[inline]`

| Definition at line 139 of file DOMTest.java.
    00139                                   {
    00140     return true;
    00141   }

final boolean DOMTest::isValidating | ( |  | ) | `[inline]`

| Definition at line 135 of file DOMTest.java. References DOMTestDocumentBuilderFactory::isValidating().
    00135                                       {
    00136       return factory.isValidating();
    00137   }

Document DOMTest::load | ( | String | docURI | ) | `[inline]`

| Definition at line 78 of file DOMTest.java. References DOMTestDocumentBuilderFactory::addExtension(), and DOMTestDocumentBuilderFactory::load(). Referenced by textwithnomarkup::runTest(), textsplittexttwo::runTest(), textsplittextthree::runTest(), textsplittextone::runTest(), textsplittextnomodificationallowederrEE::runTest(), textsplittextnomodificationallowederr::runTest(), textsplittextfour::runTest(), textparseintolistofelements::runTest(), textindexsizeerroffsetoutofbounds::runTest(), textindexsizeerrnegativeoffset::runTest(), processinginstructionsetdatanomodificationallowederrEE::runTest(), processinginstructionsetdatanomodificationallowederr::runTest(), processinginstructiongettarget::runTest(), processinginstructiongetdata::runTest(), notationgetsystemidnull::runTest(), notationgetsystemid::runTest(), notationgetpublicidnull::runTest(), notationgetpublicid::runTest(), notationgetnotationname::runTest(), nodevalue09::runTest(), nodevalue08::runTest(), nodevalue07::runTest(), nodevalue06::runTest(), nodevalue05::runTest(), nodevalue04::runTest(), nodevalue03::runTest(), nodevalue02::runTest(), nodevalue01::runTest(), nodetextnodevalue::runTest(), nodetextnodetype::runTest(), nodetextnodename::runTest(), nodetextnodeattribute::runTest(), nodesetnodevaluenomodificationallowederrEE::runTest(), nodesetnodevaluenomodificationallowederr::runTest(), nodereplacechildoldchildnonexistent::runTest(), nodereplacechildnomodificationallowederrEE::runTest(), nodereplacechildnomodificationallowederr::runTest(), nodereplacechildnodename::runTest(), nodereplacechildnodeancestor::runTest(), nodereplacechildnewchildexists::runTest(), nodereplacechildnewchilddiffdocument::runTest(), nodereplacechildinvalidnodetype::runTest(), nodereplacechild::runTest(), noderemovechildoldchildnonexistent::runTest(), noderemovechildnomodificationallowederrEE::runTest(), noderemovechildnomodificationallowederr::runTest(), noderemovechildnode::runTest(), noderemovechildgetnodename::runTest(), noderemovechild::runTest(), nodeprocessinginstructionsetnodevalue::runTest(), nodeprocessinginstructionnodevalue::runTest(), nodeprocessinginstructionnodetype::runTest(), nodeprocessinginstructionnodename::runTest(), nodeprocessinginstructionnodeattributes::runTest(), nodeparentnodenull::runTest(), nodeparentnode::runTest(), nodenotationnodevalue::runTest(), nodenotationnodetype::runTest(), nodenotationnodename::runTest(), nodenotationnodeattributes::runTest(), nodelisttraverselist::runTest(), nodelistreturnlastitem::runTest(), nodelistreturnfirstitem::runTest(), nodelistindexnotzero::runTest(), nodelistindexgetlengthofemptylist::runTest(), nodelistindexgetlength::runTest(), nodelistindexequalzero::runTest(), nodeinsertbeforerefchildnull::runTest(), nodeinsertbeforerefchildnonexistent::runTest(), nodeinsertbeforenomodificationallowederrEE::runTest(), nodeinsertbeforenomodificationallowederr::runTest(), nodeinsertbeforenodename::runTest(), nodeinsertbeforenodeancestor::runTest(), nodeinsertbeforenewchildexists::runTest(), nodeinsertbeforenewchilddiffdocument::runTest(), nodeinsertbeforeinvalidnodetype::runTest(), nodeinsertbeforedocfragment::runTest(), nodeinsertbefore::runTest(), nodehaschildnodesfalse::runTest(), nodehaschildnodes::runTest(), nodegetprevioussiblingnull::runTest(), nodegetprevioussibling::runTest(), nodegetownerdocumentnull::runTest(), nodegetownerdocument::runTest(), nodegetnextsiblingnull::runTest(), nodegetnextsibling::runTest(), nodegetlastchildnull::runTest(), nodegetlastchild::runTest(), nodegetfirstchildnull::runTest(), nodegetfirstchild::runTest(), nodeentitysetnodevalue::runTest(), nodeentityreferencenodevalue::runTest(), nodeentityreferencenodetype::runTest(), nodeentityreferencenodename::runTest(), nodeentityreferencenodeattributes::runTest(), nodeentitynodevalue::runTest(), nodeentitynodetype::runTest(), nodeentitynodename::runTest(), nodeentitynodeattributes::runTest(), nodeelementnodevalue::runTest(), nodeelementnodetype::runTest(), nodeelementnodename::runTest(), nodeelementnodeattributes::runTest(), nodedocumenttypenodevalue::runTest(), nodedocumenttypenodetype::runTest(), nodedocumenttypenodename::runTest(), nodedocumentnodevalue::runTest(), nodedocumentnodetype::runTest(), nodedocumentnodename::runTest(), nodedocumentnodeattribute::runTest(), nodedocumentfragmentnodevalue::runTest(), nodedocumentfragmentnodetype::runTest(), nodedocumentfragmentnodename::runTest(), nodecommentnodevalue::runTest(), nodecommentnodetype::runTest(), nodecommentnodename::runTest(), nodecommentnodeattributes::runTest(), nodeclonetruecopytext::runTest(), nodeclonenodetrue::runTest(), nodeclonenodefalse::runTest(), nodeclonegetparentnull::runTest(), nodeclonefalsenocopytext::runTest(), nodecloneattributescopied::runTest(), nodechildnodesempty::runTest(), nodechildnodesappendchild::runTest(), nodechildnodes::runTest(), nodecdatasectionnodevalue::runTest(), nodecdatasectionnodetype::runTest(), nodecdatasectionnodename::runTest(), nodecdatasectionnodeattribute::runTest(), nodeattributenodevalue::runTest(), nodeattributenodetype::runTest(), nodeattributenodename::runTest(), nodeattributenodeattribute::runTest(), nodeappendchildnomodificationallowederrEE::runTest(), nodeappendchildnomodificationallowederr::runTest(), nodeappendchildnodeancestor::runTest(), nodeappendchildnewchilddiffdocument::runTest(), nodeappendchildinvalidnodetype::runTest(), nodeappendchildgetnodename::runTest(), nodeappendchilddocfragment::runTest(), nodeappendchildchildexists::runTest(), nodeappendchild::runTest(), namednodemapwrongdocumenterr::runTest(), namednodemapsetnameditemwithnewvalue::runTest(), namednodemapsetnameditemthatexists::runTest(), namednodemapsetnameditemreturnvalue::runTest(), namednodemapsetnameditem::runTest(), namednodemapreturnnull::runTest(), namednodemapreturnlastitem::runTest(), namednodemapreturnfirstitem::runTest(), namednodemapreturnattrnode::runTest(), namednodemapremovenameditemreturnnodevalue::runTest(), namednodemapremovenameditemgetvalue::runTest(), namednodemapremovenameditem::runTest(), namednodemapnumberofnodes::runTest(), namednodemapnotfounderr::runTest(), namednodemapinuseattributeerr::runTest(), namednodemapgetnameditem::runTest(), namednodemapchildnoderange::runTest(), entitygetpublicidnull::runTest(), entitygetpublicid::runTest(), entitygetentityname::runTest(), elementwrongdocumenterr::runTest(), elementsetattributenomodificationallowederrEE::runTest(), elementsetattributenomodificationallowederr::runTest(), elementsetattributenodenull::runTest(), elementsetattributenodenomodificationallowederrEE::runTest(), elementsetattributenodenomodificationallowederr::runTest(), elementretrievetagname::runTest(), elementretrieveattrvalue::runTest(), elementretrieveallattributes::runTest(), elementreplaceexistingattributegevalue::runTest(), elementreplaceexistingattribute::runTest(), elementreplaceattributewithself::runTest(), elementremoveattributerestoredefaultvalue::runTest(), elementremoveattributenomodificationallowederrEE::runTest(), elementremoveattributenomodificationallowederr::runTest(), elementremoveattributenodenomodificationallowederrEE::runTest(), elementremoveattributenodenomodificationallowederr::runTest(), elementremoveattributenode::runTest(), elementremoveattributeaftercreate::runTest(), elementremoveattribute::runTest(), elementnotfounderr::runTest(), elementnormalize::runTest(), elementinvalidcharacterexception::runTest(), elementinuseattributeerr::runTest(), elementgettagname::runTest(), elementgetelementsbytagnamespecialvalue::runTest(), elementgetelementsbytagnamenomatch::runTest(), elementgetelementsbytagnameaccessnodelist::runTest(), elementgetelementsbytagname::runTest(), elementgetelementempty::runTest(), elementgetattributenodenull::runTest(), elementgetattributenode::runTest(), elementcreatenewattribute::runTest(), elementchangeattributevalue::runTest(), elementassociatedattribute::runTest(), elementaddnewattribute::runTest(), domimplementationfeaturexml::runTest(), domimplementationfeaturenull::runTest(), domimplementationfeaturenoversion::runTest(), documenttypegetnotationstype::runTest(), documenttypegetnotations::runTest(), documenttypegetentitiestype::runTest(), documenttypegetentitieslength::runTest(), documenttypegetentities::runTest(), documenttypegetdoctype::runTest(), documentinvalidcharacterexceptioncreatepi::runTest(), documentinvalidcharacterexceptioncreateentref::runTest(), documentinvalidcharacterexceptioncreateelement::runTest(), documentinvalidcharacterexceptioncreateattribute::runTest(), documentgetrootnode::runTest(), documentgetimplementation::runTest(), documentgetelementsbytagnamevalue::runTest(), documentgetelementsbytagnametotallength::runTest(), documentgetelementsbytagnamelength::runTest(), documentgetdoctypenodtd::runTest(), documentgetdoctype::runTest(), documentcreatetextnode::runTest(), documentcreateprocessinginstruction::runTest(), documentcreateentityreferenceknown::runTest(), documentcreateentityreference::runTest(), documentcreateelementdefaultattr::runTest(), documentcreateelementcasesensitive::runTest(), documentcreateelement::runTest(), documentcreatedocumentfragment::runTest(), documentcreatecomment::runTest(), documentcreatecdatasection::runTest(), documentcreateattribute::runTest(), commentgetcomment::runTest(), characterdatasubstringvalue::runTest(), characterdatasubstringexceedsvalue::runTest(), characterdatasetnodevalue::runTest(), characterdatasetdatanomodificationallowederrEE::runTest(), characterdatasetdatanomodificationallowederr::runTest(), characterdatareplacedatanomodificationallowederrEE::runTest(), characterdatareplacedatanomodificationallowederr::runTest(), characterdatareplacedatamiddle::runTest(), characterdatareplacedataexceedslengthofdata::runTest(), characterdatareplacedataexceedslengthofarg::runTest(), characterdatareplacedataend::runTest(), characterdatareplacedatabegining::runTest(), characterdatainsertdatanomodificationallowederrEE::runTest(), characterdatainsertdatanomodificationallowederr::runTest(), characterdatainsertdatamiddle::runTest(), characterdatainsertdataend::runTest(), characterdatainsertdatabeginning::runTest(), characterdataindexsizeerrsubstringoffsetgreater::runTest(), characterdataindexsizeerrsubstringnegativeoffset::runTest(), characterdataindexsizeerrsubstringcountnegative::runTest(), characterdataindexsizeerrreplacedataoffsetnegative::runTest(), characterdataindexsizeerrreplacedataoffsetgreater::runTest(), characterdataindexsizeerrreplacedatacountnegative::runTest(), characterdataindexsizeerrinsertdataoffsetnegative::runTest(), characterdataindexsizeerrinsertdataoffsetgreater::runTest(), characterdataindexsizeerrdeletedataoffsetnegative::runTest(), characterdataindexsizeerrdeletedataoffsetgreater::runTest(), characterdataindexsizeerrdeletedatacountnegative::runTest(), characterdatagetlength::runTest(), characterdatagetdata::runTest(), characterdatadeletedatanomodificationallowederrEE::runTest(), characterdatadeletedatanomodificationallowederr::runTest(), characterdatadeletedatamiddle::runTest(), characterdatadeletedatagetlengthanddata::runTest(), characterdatadeletedataexceedslength::runTest(), characterdatadeletedataend::runTest(), characterdatadeletedatabegining::runTest(), characterdataappenddatanomodificationallowederrEE::runTest(), characterdataappenddatanomodificationallowederr::runTest(), characterdataappenddatagetdata::runTest(), characterdataappenddata::runTest(), cdatasectionnormalize::runTest(), cdatasectiongetdata::runTest(), attrspecifiedvalueremove::runTest(), attrspecifiedvaluechanged::runTest(), attrspecifiedvalue::runTest(), attrsetvaluenomodificationallowederrEE::runTest(), attrsetvaluenomodificationallowederr::runTest(), attrprevioussiblingnull::runTest(), attrparentnodenull::runTest(), attrnotspecifiedvalue::runTest(), attrnextsiblingnull::runTest(), attrname::runTest(), attrentityreplacement::runTest(), attreffectivevalue::runTest(), attrdefaultvalue::runTest(), attrcreatetextnode2::runTest(), attrcreatetextnode::runTest(), and attrcreatedocumentfragment::runTest().
    00078                                                                   {
    00079
    00080     docURI = factory.addExtension(docURI);
    00081     //
    00082     //   build a URL for a test file in the JAR
    00083     //
    00084     URL resolvedURI = getClass().getResource("/" + docURI);
    00085     if(resolvedURI == null) {
    00086         //
    00087         //   see if it is an absolute URI
    00088         //
    00089         int firstSlash = docURI.indexOf('/');
    00090         try {
    00091           if(firstSlash == 0 ||
    00092             (firstSlash >= 1 && docURI.charAt(firstSlash-1) == ':')) {
    00093               resolvedURI = new URL(docURI);
    00094           }
    00095           else {
    00096             //
    00097             //  try the files/level?/spec directory
    00098             //
    00099             String filename = getClass().getPackage().getName();
    00100             filename = "tests/" + filename.substring(14).replace('.','/') + "/files/" + docURI;
    00101             resolvedURI = new java.io.File(filename).toURL();
    00102           }
    00103         }
    00104         catch(MalformedURLException ex) {
    00105           throw new DOMTestLoadException(ex);
    00106         }
    00107     }
    00108
    00109     if(resolvedURI == null) {
    00110         throw new DOMTestLoadException(new java.io.FileNotFoundException(docURI));
    00111     }
    00112
    00113     return factory.load(resolvedURI);
    00114   }

void DOMTest::setFactory | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline, protected]`

| Should only be called in the constructor of a derived type. Definition at line 61 of file DOMTest.java. Referenced by alltests::alltests(), attrsetvaluenomodificationallowederr::attrsetvaluenomodificationallowederr(), cdatasectiongetdata::cdatasectiongetdata(), cdatasectionnormalize::cdatasectionnormalize(), characterdataappenddatanomodificationallowederr::characterdataappenddatanomodificationallowederr(), characterdatadeletedatanomodificationallowederr::characterdatadeletedatanomodificationallowederr(), characterdataindexsizeerrdeletedatacountnegative::characterdataindexsizeerrdeletedatacountnegative(), characterdataindexsizeerrdeletedataoffsetnegative::characterdataindexsizeerrdeletedataoffsetnegative(), characterdataindexsizeerrinsertdataoffsetnegative::characterdataindexsizeerrinsertdataoffsetnegative(), characterdataindexsizeerrreplacedatacountnegative::characterdataindexsizeerrreplacedatacountnegative(), characterdataindexsizeerrreplacedataoffsetnegative::characterdataindexsizeerrreplacedataoffsetnegative(), characterdataindexsizeerrsubstringcountnegative::characterdataindexsizeerrsubstringcountnegative(), characterdataindexsizeerrsubstringnegativeoffset::characterdataindexsizeerrsubstringnegativeoffset(), characterdatainsertdatanomodificationallowederr::characterdatainsertdatanomodificationallowederr(), characterdatareplacedatanomodificationallowederr::characterdatareplacedatanomodificationallowederr(), characterdatareplacedatanomodificationallowederrEE::characterdatareplacedatanomodificationallowederrEE(), characterdatasetdatanomodificationallowederr::characterdatasetdatanomodificationallowederr(), documentgetdoctypenodtd::documentgetdoctypenodtd(), domimplementationfeaturenull::domimplementationfeaturenull(), elementremoveattributenodenomodificationallowederr::elementremoveattributenodenomodificationallowederr(), elementremoveattributenomodificationallowederr::elementremoveattributenomodificationallowederr(), elementsetattributenodenomodificationallowederr::elementsetattributenodenomodificationallowederr(), elementsetattributenodenomodificationallowederrEE::elementsetattributenodenomodificationallowederrEE(), elementsetattributenomodificationallowederr::elementsetattributenomodificationallowederr(), nodeappendchildnomodificationallowederr::nodeappendchildnomodificationallowederr(), nodecdatasectionnodetype::nodecdatasectionnodetype(), nodecdatasectionnodevalue::nodecdatasectionnodevalue(), nodeinsertbeforenomodificationallowederr::nodeinsertbeforenomodificationallowederr(), noderemovechildnomodificationallowederr::noderemovechildnomodificationallowederr(), nodereplacechildnomodificationallowederr::nodereplacechildnomodificationallowederr(), nodesetnodevaluenomodificationallowederr::nodesetnodevaluenomodificationallowederr(), processinginstructionsetdatanomodificationallowederr::processinginstructionsetdatanomodificationallowederr(), readonly::readonly(), textindexsizeerrnegativeoffset::textindexsizeerrnegativeoffset(), textsplittextnomodificationallowederr::textsplittextnomodificationallowederr(), and xml_alltests::xml_alltests().
    00061                                                                    {
    00062     this.factory = factory;
    00063   }

The documentation for this class was generated from the following file:

- DOMTest.java